Skip to main content
GET
Get a change request for a Neki branch

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

branch
string
required

Branch name from list_branches. Example: main.

id
string
required

The ID of the change request

Response

Returns a Neki change request

type
enum<string>
required

The type of change request

Available options:
NekiAdminChangeRequest,
NekiClusterChangeRequest,
NekiConfigurationProfileChangeRequest,
NekiRouterChangeRequest,
NekiSidecarChangeRequest
id
string
required

The ID of the change request

state
enum<string>
required

The state of the change request

Available options:
draft,
pending,
applying,
canceled,
completed
can_delete
boolean
required

Whether the change request can be deleted

started_at
string | null
required

The time the change request started

completed_at
string | null
required

The time the change request completed

created_at
string
required

The time the change request was created

updated_at
string
required

The time the change request was last updated

actor
object
required
target_id
string | null
required

The ID of the resource being changed

target_type
enum<string>
required

The type of resource being changed

Available options:
NekiAdmin,
NekiCluster,
NekiConfigurationProfile,
NekiRouter,
NekiSidecar
target_name
string
required

The name of the resource being changed

admin_size
string | null

The name of the admin size SKU

admin_size_display_name
string | null

The display name of the admin size SKU

parameters
object | null

The parameters requested for the target resource

previous_admin_size
string | null

The previous name of the admin size SKU

previous_admin_size_display_name
string | null

The previous display name of the admin size SKU

previous_parameters
object | null

The target resource parameters before the change

flags
string[] | null

The cluster flags

neki_image_version
string | null

The Neki image version

previous_flags
string[] | null

The previous cluster flags

previous_neki_image_version
string | null

The previous Neki image version

router_size
string | null

The name of the router size SKU

router_size_display_name
string | null

The display name of the router size SKU

replicas_per_cell
integer | null

The number of replicas in each cell

autoscaling
boolean | null

Whether the router scales horizontally within each cell

max_replicas_per_cell
integer | null

The maximum number of replicas in each cell when autoscaling

target_cpu_utilization
integer | null

The target average CPU utilization percentage when autoscaling, one of 40, 50, 60 or 70

previous_router_size
string | null

The previous name of the router size SKU

previous_router_size_display_name
string | null

The previous display name of the router size SKU

previous_replicas_per_cell
integer | null

The previous number of replicas in each cell

previous_autoscaling
boolean | null

The previous autoscaling state of the router

previous_max_replicas_per_cell
integer | null

The previous maximum number of replicas in each cell

previous_target_cpu_utilization
integer | null

The previous target average CPU utilization percentage

name
string | null

The name of the shard configuration profile

previous_name
string | null

The previous name of the shard configuration profile

cluster_size
string | null

The name of the cluster size SKU

cluster_display_name
string | null

The display name of the cluster size SKU

metal
boolean | null

Whether the cluster size SKU uses metal instances

cluster_rank
integer | null

The display order of the cluster size SKU

replicas
integer | null

The number of replicas

shards
integer | null

The number of shards

postgres_image_version
string | null

The PostgreSQL image

storage
object | null
previous_cluster_size
string | null

The previous name of the cluster size SKU

previous_cluster_display_name
string | null

The previous display name of the cluster size SKU

previous_metal
boolean | null

Whether the previous cluster size SKU used metal instances

previous_cluster_rank
integer | null

The previous display order of the cluster size SKU

previous_replicas
integer | null

The previous number of replicas

previous_shards
integer | null

The previous number of shards

previous_postgres_image_version
string | null

The previous PostgreSQL image

previous_storage
object | null